# Opciones de línea de comandos

Cartes du Ciel - SkyChart acepta la siguientes opciones en la línea de comandos:

Opción | Parámetro | Función
--- | --- | ---
--config | ubicación archivos de configuración | Permite especificar los archivos de configuración, en lugar de usar los preconfigurados ”%LOCALAPPDATA%\skychart\skychart.ini” o ”~/.skychart/skychart.ini”
--loaddef | archivo_opcional | Equivalente al comando de servidor LOADDEFAULT. Usa esta opción para cargar un extracto del archivo de configuración que reemplace temporariamente alguna opción de skychart.ini.
--unique |  | No iniciar el programa si otra instancia ya está corriendo. Enviar a ésta las eventuales opciones.
--quit |  | Usa esta opción junto con --unique para cerrar la instancia que está corriendo, o para salir de inmediato.
--nosplash |  | No mostrar la imagen de identificación al iniciar.
--daemon |  | Iniciar en background, sin mostrar la ventana principal.
--nosave |  | No salvar las opciones al salir. Útil con la opción --loaddef.
Opciones que afectan la primera carta activa
--load | archivo_guardado | Equivalente al comando de servidor LOAD. Usa esta opción como un modelo con todos los ajustes de carta que no puedas configurar aquí.
--search | nombre_objeto | Equivalente al comando de servidor SEARCH.
--setproj | ALTAZ/EQUAT/GALACTIC/ECLIPTIC | Equivalente al comando de servidor SETPROJ.
--setfov | 00d00m00s o 00.00 | Equivalente al comando de servidor SETFOV.
--setra | RA:00h00m00s o RA:00.00 | Equivalente al comando de servidor SETRA
--setdec | DEC:+00d00m00s or DEC:00.00 | Equivalente al comando de servidor SETDEC.
--setobs | LAT:+00d00m00sLON:+000d00m00sALT:000mOBS:nombre | Equivalente al comando de servidor SETOBS.
--settz | Etc/GMT | Equivalente al comando de servidor SETTZ.
--setdate | yyyy-mm-ddThh:mm:ss o “yyyy-mm-dd hh:mm:ss” | Equivalente al comando de servidor SETDATE.
--setcat | "ubicación nombre activo min max " | Equivalente al comando de servidor SETCAT.
--resize | "ancho alto" | Equivalente al comando de servidor RESIZE.
--dss |  | Equivalente al comando de servidor PDSS.
--saveimg | "PNG/JPEG/BMP archivo calidad" | Equivalente al comando de servidor SAVEIMG.
--print | "PRT/PS/BMP PORTRAIT/LANDSCAPE COLOR/BW ubicación" | Equivalente al comando de servidor PRINT.

Atención: contrariamente a los comandos enviados por TCP/IP, las opciones y parámetros están separados por el símbolo "=" sin espacio en blanco. Si el parámetro contiene espacios deben ser encerrado en dobles comillas: "".

En Unix puedes enviar una señal al programa que está corriendo usando el comando kill:

Señal | Acción
--- | ---
1, HUP | Recargar la carta y opciones predefinidas.
15, TERM | Salir con gracia.

## Ejemplo de automatización usando líneas de comando

La automatización se logra normalmente enviando comandos de servidor a la conexión TCP/IP, pero en algunos casos puede ser más sencillo usar la línea de comandos.

Primero, iniciamos la primera instancia:
# skychart --unique

Ajustamos el tamaño de imagen:
# skychart --unique --resize="1024 768"

El siguiente comando muestra una carta de Messier 1 sin abrir una nueva ventana:
# skychart --unique --setfov=3 --setproj=EQUAT --search=M1

Guardar una imagen con la carta actual:
#skychart --unique --saveimg="PNG /tmp/m1.png"

Repetimos con otro objeto o campo visual. Al teerminar cerramos la ventana principal:
# skychart --unique --quit

Es posible hacer todo de una vez y salir, sin siquiera mostrar nada en pantalla. Es conveniente si lo único que se quiere es generar una imagen:
#skychart --nosplash --daemon --resize="1024 768" --setfov=3 --setproj=EQUAT --search=M1 --saveimg="PNG /tmp/m1.png" --quit